<div class="coc-referral-details">
  <app-content-banner [isDashboard]="false" pageName="CoC Referral"></app-content-banner>
  <mat-card class="rhi-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
        <app-referral-package-client-banner [parentPageID]="2"></app-referral-package-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Attach Document</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
               
                <app-document [preSelectedDocType]="333" [pactApplicationID]="cocReferralSelected?.pactApplicationID" [deleteDisabled]="true"> </app-document>
                
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab  *ngIf="is_SH_PE || is_CAS || is_SH_HP">
          <ng-template matTabLabel>
            <span *ngIf="is_SH_PE || is_CAS">Transmit to Housing Provider</span>
            <span *ngIf="is_SH_HP">Transmit to HPD</span>
            <!-- <span *ngIf="is_SH_HPD">Review Application</span> -->
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="tabView">
                  <div *ngIf="is_SH_PE || is_CAS"  class="alignCheckbox">
                    
                      <mat-checkbox (change)="onChange($event)" [disabled]="is_transmit_pe_disable" [checked]="is_transmit_checked">
                        All the required documents related to the client are attached and the client is transmitted to the housing provider
                      </mat-checkbox>
                    
                  </div>
                  <div *ngIf="is_SH_HP" class="alignCheckbox">
                    
                      <mat-checkbox (change)="onChange($event)" [disabled]="is_transmit_hp_disable" [checked]="is_transmit_checked">
                        All the required documents related to the client are attached and the client is transmitted to HPD for approval process
                      </mat-checkbox>
                  
                  </div>
                  <button *ngIf="transmit_btn_visible && (is_SH_HP || is_SH_PE || is_CAS)" mat-raised-button  color="primary" type="button"  style="margin-left:45%;" (click)="onTransmitClick()" [disabled]="trans_btn_disable">Transmit</button>
                  <!-- <div *ngIf="is_SH_HPD" >
                    <form [formGroup]="cocReviewForm" style="margin:40px">
                      <div class="regular-mat-form-field" fxLayout="column" fxLayoutGap="20px" fxLayoutAlign="center" >
                        <div fxLayout="row" fxLayoutGap="50px"   style="width:100%">
                          <div fxFlex="10">
                            <mat-label >Review Status </mat-label>
                         </div>
                         <div fxFlex>
                            <mat-form-field appearance="outline" >
                              <mat-select formControlName="reviewStatus" >
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let item of reviewStatusItems" [value]="item.refGroupDetailID" >
                                  {{item.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </div>
                        </div>
                        <div *ngIf ="cocReviewForm.controls['reviewStatus'].value == 568" fxLayout="column" style="width:100%" >
                            
                          <mat-checkbox *ngFor="let item of pendingReviewReasons" (change)="onReviewReasonChange($event, item.refGroupDetailID)" [formControlName]= "item.refGroupDetailID">
                            {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp; <br>
                          </mat-checkbox>
                            
                        </div>
                        <div *ngIf="showOtherComment">
                            <div fxLayout="row" fxLayoutGap="50px" style="width:50%;">
                              <div fxFlex="25">
                                <mat-label> If Other, specify: </mat-label>  
                              </div>
                              <div fxFlex style="width:100%">
                                <mat-form-field appearance="outline"  class="textarea">
                                  <textarea rows="2" matInput formControlName="specifyOther" required></textarea>
                                </mat-form-field>   
                              </div>     
                            </div> 
                          </div>

                          <div fxLayout="row" fxLayoutGap="50px"  style="width:100%">
                            <div fxFlex="10">
                              <mat-label> Comments: </mat-label>  
                            </div>
                            <div fxFlex style="width:100%">
                              <mat-form-field appearance="outline"  class="textarea">
                                <textarea rows="4" matInput formControlName="reviewStatusComments" required></textarea>
                              </mat-form-field>   
                            </div>     
                          </div> 
                        </div>
                    </form>
                  </div> -->
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab *ngIf="(is_SH_HPD && (this.userData.roleId == 3 || this.userData.roleId == 4)) || is_CAS">
          <ng-template matTabLabel>
            <!-- <span *ngIf="is_SH_PE || is_CAS">Transmit to Housing Provider</span>
            <span *ngIf="is_SH_HP">Transmit to HPD</span> -->
            <span >Review Application</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="tabView">
                  <!-- <div *ngIf="is_SH_PE || is_CAS"  class="alignCheckbox">
                    
                      <mat-checkbox (change)="onChange($event)" [disabled]="is_transmit_pe_disable" [checked]="is_transmit_checked">
                        All the required documents related to the client are attached and the client is transmitted to the housing provider
                      </mat-checkbox>
                    
                  </div>
                  <div *ngIf="is_SH_HP" class="alignCheckbox">
                    
                      <mat-checkbox (change)="onChange($event)" [disabled]="is_transmit_hp_disable" [checked]="is_transmit_checked">
                        All the required documents related to the client are attached and the client is transmitted to HPD for approval process
                      </mat-checkbox>
                  
                  </div>
                  <button *ngIf="transmit_btn_visible && (is_SH_HP || is_SH_PE || is_CAS)" mat-raised-button  color="primary" type="button"  style="margin-left:45%;" (click)="onTransmitClick()" [disabled]="trans_btn_disable">Transmit</button> -->
                  <!-- <div *ngIf="is_SH_HPD" > --><div>
                    <form [formGroup]="cocReviewForm" style="margin:40px">
                      <div class="regular-mat-form-field" fxLayout="column" fxLayoutGap="20px" fxLayoutAlign="center" >
                        <div fxLayout="row" fxLayoutGap="50px"   style="width:100%">
                          <div fxFlex="10">
                            <mat-label >Review Status </mat-label>
                         </div>
                         <div fxFlex>
                            <mat-form-field appearance="outline" >
                              <mat-select formControlName="reviewStatus" >
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let item of reviewStatusItems" [value]="item.refGroupDetailID" >
                                  {{item.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </div>
                        </div>
                        <div *ngIf ="cocReviewForm.controls['reviewStatus'].value == 568" fxLayout="column" style="width:100%" >
                            
                          <mat-checkbox *ngFor="let item of pendingReviewReasons" (change)="onReviewReasonChange($event, item.refGroupDetailID)" [formControlName]= "item.refGroupDetailID">
                            {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp; <br>
                          </mat-checkbox>
                            
                        </div>
                        <div *ngIf="showOtherComment">
                            <div fxLayout="row" fxLayoutGap="50px" style="width:50%;">
                              <div fxFlex="25">
                                <mat-label> If Other, specify: </mat-label>  
                              </div>
                              <div fxFlex style="width:100%">
                                <mat-form-field appearance="outline"  class="textarea">
                                  <textarea rows="2" matInput formControlName="specifyOther" required></textarea>
                                </mat-form-field>   
                              </div>     
                            </div> 
                          </div>

                          <div fxLayout="row" fxLayoutGap="50px"  style="width:100%">
                            <div fxFlex="10">
                              <mat-label> Comments: </mat-label>  
                            </div>
                            <div fxFlex style="width:100%">
                              <mat-form-field appearance="outline"  class="textarea">
                                <textarea rows="4" matInput formControlName="reviewStatusComments" required></textarea>
                              </mat-form-field>   
                            </div>     
                          </div> 
                        </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>CoC Referral Activity</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <br>
                  <h2 class="title"> CoC Referral Activity </h2>
                                    <br>
                  <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="center" style="min-height: 450px">
                    <div fxLayout="column" fxLayoutAlign="center" style="width: 90%">
                  
                <ag-grid-angular #agGrid id="pendingReferralsGrid" style="width: 100%" class="ag-theme-balham"
                  [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="refStatusHistory" 
                  [gridOptions]="gridOptions" [overlayNoRowsTemplate]="OverlayNoRowsTemplate"
                  [pagination]="true" (gridReady)="onGridReady($event)"
                  [paginationPageSize]="10" [overlayLoadingTemplate]="OverlayLoadingTemplate">
                </ag-grid-angular>
                
                </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab *ngIf="is_SH_PE || is_SH_HPD || is_CAS">
          <ng-template matTabLabel>
            <span>Discontinue CoC Referral</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="coc_disc_view">
                    <div class="inline label">
                  <mat-label> Do you wish to discontinue the CoC Referral for this Client?</mat-label>
                  </div>
                  <div  class="inline">
                <mat-form-field appearance="outline" >
                <mat-select [(ngModel)]="is_CoC_disc" [disabled]="is_coc_disabled">
                    <mat-option [value]="0" >Select One</mat-option>
                    <mat-option *ngFor="let legth of responseItems" [value]="legth.refGroupDetailID" >
                      {{legth.refGroupDetailDescription}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
                </div>
                <br><br>
                <mat-label>Additional Comments:</mat-label>
                <mat-form-field appearance="outline" class="textarea">
                  <textarea rows="3" matInput  [(ngModel)]='coc_disc_comm' [disabled]='is_coc_disabled'></textarea>
                </mat-form-field>

                  </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Application Package</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <app-housing-application-supporting-documents
                  [housingApplicationSupportingDocumentsData]="housingApplicationSupportingDocumentsData" [deleteDisabled]="true">
                </app-housing-application-supporting-documents>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="onSave(true)" [isSaveRequired] = "disableNavBtn"  (Clearbtn)="onClear()" [isClearRequired] = "disableNavBtn" (Previousbtn)="previousPage()" [isPreviousRequired]="is_Prev_Required" (Nextbtn)="nextPage()" [isNextRequired]="is_Next_Required"></app-nav-footer>
</div>